import sys
from cx_Freeze import setup, Executable

# Dependencies are automatically detected, but it might need fine tuning.
build_exe_options = {"include_files": ["assets/"]}

# GUI applications require a different base on Windows (the default is for a
# console application).
base = None
if sys.platform == "win32":
    base = "Win32GUI"

setup(  name = "Shadows and Lights",
        version = "1.0.0",
        description = "Ludum Dare 30 Entry",
        options = {"build_exe": build_exe_options},
        executables = [Executable("main.py", base=base)])